Get a TikTok user's work based on their unique id.
curl --request POST \
--url https://api.acedata.cloud/tiktok/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"user_id": "<string>",
"unique_id": "<string>"
}
'import requests
url = "https://api.acedata.cloud/tiktok/posts"
payload = {
"cursor": "<string>",
"user_id": "<string>",
"unique_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cursor: '<string>', user_id: '<string>', unique_id: '<string>'})
};
fetch('https://api.acedata.cloud/tiktok/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": 904,
"next_cursor": 602
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Get a TikTok user's work based on their unique id.
POST
/
tiktok
/
posts
Get a TikTok user's work based on their unique id.
curl --request POST \
--url https://api.acedata.cloud/tiktok/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"user_id": "<string>",
"unique_id": "<string>"
}
'import requests
url = "https://api.acedata.cloud/tiktok/posts"
payload = {
"cursor": "<string>",
"user_id": "<string>",
"unique_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cursor: '<string>', user_id: '<string>', unique_id: '<string>'})
};
fetch('https://api.acedata.cloud/tiktok/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": 904,
"next_cursor": 602
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Authorizations
API token from https://platform.acedata.cloud
Headers
Tiktok Posts Param Accept
Available options:
application/json, application/x-ndjson Body
application/json
Was this page helpful?

